GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
      Get Open PositionsGet Account MarginGet Funding AmountGet Funding Amount Report FileList Funding PaymentsGet Funding Payment Report FileGet Funding Payment Report JSONGet Risk Stats
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Get Funding Amount Report File

TradingDerivativesGet Funding Amount Report File

Get Funding Amount Report File

GEThttps://api.gemini.com/v1/fundingamountreport/records.xlsx

Downloads a funding amount report as an Excel or CSV file for the specified perpetuals symbol and date range.

GETv1/fundingamountreport/records.xlsx
curl --request GET \
  --url 'https://api.gemini.com/v1/fundingamountreport/records.xlsx?symbol=BTCGUSDPERP&fromDate=2024-04-10&toDate=2024-04-25&numRows=1000'

Examples

  • Code
    symbol=BTCGUSDPERP&fromDate=2024-04-10&toDate=2024-04-25&numRows=1000
    — returns the lesser of the date-range record count and
    Code
    numRows
    .
  • Code
    symbol=BTCGUSDPERP&fromDate=2024-04-10&toDate=2024-04-25
    — returns all records in the date range.
  • Code
    symbol=BTCGUSDPERP&numRows=1000
    — returns up to 1000 records starting from now.
  • Code
    symbol=BTCGUSDPERP
    — returns the default maximum of 8760 records starting from now.

Query Parameters

symbolstring·required
Trading pair symbol BTCGUSDPERP, etc. See symbols and minimums.
fromDatestring
Mandatory if toDate is specified, else optional. If empty, will only fetch records by numRows value.
toDatestring
Mandatory if fromDate is specified, else optional. If empty, will only fetch records by numRows value.
numRowsinteger
If empty, default value '8760'

Responses

The response will be an excel / csv file. filename=FundingAmount_{SYMBOL}.{xlsx,csv}

PreviousGet Funding AmountNextList Funding Payments
Last modified on May 5, 2026